Bug 202317 - Review Request: perl-File-HomeDir - Get the home directory for yourself or other users
Review Request: perl-File-HomeDir - Get the home directory for yourself or ot...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-12 14:45 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 10:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-08-12 14:45:14 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-File-HomeDir.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-File-HomeDir-0.58-1.src.rpm

Description:
File::HomeDir is a module for dealing with issues relating to the
location of directories for various purposes that are "owned" by a
user, and to solve these problems consistently across a wide variety
of platforms.
Comment 1 Jose Pedro Oliveira 2006-08-12 14:49:24 EDT
Note:
This module is new requirement of perl-AppConfig (version 1.63).
Comment 2 Jason Tibbitts 2006-08-12 23:01:58 EDT
Boring easy Perl module review follows:

* source files match upstream:
   295ee8b4f580bea5fa5714cdf8ac965b  File-HomeDir-0.58.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(File::HomeDir) = 0.58
   perl(File::HomeDir::Darwin) = 0.58
   perl(File::HomeDir::MacOS9) = 0.58
   perl(File::HomeDir::TIE)
   perl(File::HomeDir::Unix) = 0.58
   perl(File::HomeDir::Windows) = 0.58
   perl-File-HomeDir = 0.58-1.fc6
  =
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(File::Spec)
   perl(base)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful, 4 subtests skipped.
   Files=3, Tests=35,  0 wallclock secs ( 0.10 cusr +  0.04 csys =  0.14 CPU)
  (the skipped dests are meaningless except on Windows)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 3 Jose Pedro Oliveira 2006-08-13 07:40:55 EDT
Thanks for the review.

Imported and built for development.
Pending FC-5 branch creation.
Comment 4 Jose Pedro Oliveira 2006-08-15 10:40:55 EDT
Also build for FC-5.

Note You need to log in before you can comment on or make changes to this bug.